io.vertx.grpc

## Class VertxChannelBuilder

- java.lang.Object
- - io.grpc.ManagedChannelBuilder<VertxChannelBuilder>
  - - io.vertx.grpc.VertxChannelBuilder

-     public class VertxChannelBuilder
      extends io.grpc.ManagedChannelBuilder<VertxChannelBuilder>

  Author:
    Julien Viet

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.grpc.ManagedChannel` | `build()`
    `VertxChannelBuilder` | `compressorRegistry(io.grpc.CompressorRegistry registry)`
    `VertxChannelBuilder` | `decompressorRegistry(io.grpc.DecompressorRegistry registry)`
    `VertxChannelBuilder` | `defaultLoadBalancingPolicy(String policy)`
    `VertxChannelBuilder` | `defaultServiceConfig(Map<String,?> serviceConfig)`
    `VertxChannelBuilder` | `directExecutor()`
    `VertxChannelBuilder` | `disableRetry()`
    `VertxChannelBuilder` | `disableServiceConfigLookUp()`
    `VertxChannelBuilder` | `enableFullStreamDecompression()`
    `VertxChannelBuilder` | `enableRetry()`
    `VertxChannelBuilder` | `executor(Executor executor)`
    `static VertxChannelBuilder` | `forAddress(Vertx vertx, SocketAddress address)`
    `static VertxChannelBuilder` | `forAddress(Vertx vertx, String host, int port)`
    `static VertxChannelBuilder` | `forTarget(Vertx vertx, String target)`
    `VertxChannelBuilder` | `idleTimeout(long value, TimeUnit unit)`
    `VertxChannelBuilder` | `intercept(io.grpc.ClientInterceptor... interceptors)`
    `VertxChannelBuilder` | `intercept(List<io.grpc.ClientInterceptor> interceptors)`
    `VertxChannelBuilder` | `keepAliveTime(long keepAliveTime, TimeUnit timeUnit)`
    `VertxChannelBuilder` | `keepAliveTimeout(long keepAliveTimeout, TimeUnit timeUnit)`
    `VertxChannelBuilder` | `keepAliveWithoutCalls(boolean enable)`
    `VertxChannelBuilder` | `maxHedgedAttempts(int maxHedgedAttempts)`
    `VertxChannelBuilder` | `maxInboundMessageSize(int max)`
    `VertxChannelBuilder` | `maxInboundMetadataSize(int bytes)`
    `VertxChannelBuilder` | `maxRetryAttempts(int maxRetryAttempts)`
    `VertxChannelBuilder` | `maxTraceEvents(int maxTraceEvents)`
    `VertxChannelBuilder` | `nameResolverFactory(io.grpc.NameResolver.Factory resolverFactory)` Deprecated.
    `io.grpc.netty.NettyChannelBuilder` | `nettyBuilder()`
    `VertxChannelBuilder` | `offloadExecutor(Executor executor)`
    `VertxChannelBuilder` | `overrideAuthority(String authority)`
    `VertxChannelBuilder` | `perRpcBufferLimit(long bytes)`
    `VertxChannelBuilder` | `proxyDetector(io.grpc.ProxyDetector proxyDetector)`
    `VertxChannelBuilder` | `retryBufferSize(long bytes)`
    `VertxChannelBuilder` | `setBinaryLog(io.grpc.BinaryLog binaryLog)`
    `VertxChannelBuilder` | `usePlaintext()`
    `VertxChannelBuilder` | `userAgent(String userAgent)`
    `VertxChannelBuilder` | `useSsl(Handler<ClientOptionsBase> handler)`
    `VertxChannelBuilder` | `useTransportSecurity()`

    - ### Methods inherited from class io.grpc.ManagedChannelBuilder

      `forAddress, forTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forTarget

          public static VertxChannelBuilder forTarget(Vertx vertx,
                                                      String target)

    - #### forAddress

          public static VertxChannelBuilder forAddress(Vertx vertx,
                                                       String host,
                                                       int port)

    - #### forAddress

          public static VertxChannelBuilder forAddress(Vertx vertx,
                                                       SocketAddress address)

    - #### nettyBuilder

          public io.grpc.netty.NettyChannelBuilder nettyBuilder()

      Returns:
        the underlying `NettyChannelBuilder`

    - #### directExecutor

          public VertxChannelBuilder directExecutor()

      Specified by:
        `directExecutor` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### executor

          public VertxChannelBuilder executor(Executor executor)

      Specified by:
        `executor` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### intercept

          public VertxChannelBuilder intercept(List<io.grpc.ClientInterceptor> interceptors)

      Specified by:
        `intercept` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### intercept

          public VertxChannelBuilder intercept(io.grpc.ClientInterceptor... interceptors)

      Specified by:
        `intercept` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### userAgent

          public VertxChannelBuilder userAgent(String userAgent)

      Specified by:
        `userAgent` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### overrideAuthority

          public VertxChannelBuilder overrideAuthority(String authority)

      Specified by:
        `overrideAuthority` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### nameResolverFactory

          @Deprecated
          public VertxChannelBuilder nameResolverFactory(io.grpc.NameResolver.Factory resolverFactory)

      Deprecated.
      Specified by:
        `nameResolverFactory` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### offloadExecutor

          public VertxChannelBuilder offloadExecutor(Executor executor)

      Overrides:
        `offloadExecutor` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### defaultLoadBalancingPolicy

          public VertxChannelBuilder defaultLoadBalancingPolicy(String policy)

      Overrides:
        `defaultLoadBalancingPolicy` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### maxInboundMetadataSize

          public VertxChannelBuilder maxInboundMetadataSize(int bytes)

      Overrides:
        `maxInboundMetadataSize` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### proxyDetector

          public VertxChannelBuilder proxyDetector(io.grpc.ProxyDetector proxyDetector)

      Overrides:
        `proxyDetector` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### defaultServiceConfig

          public VertxChannelBuilder defaultServiceConfig(@Nullable
                                                          Map<String,?> serviceConfig)

      Overrides:
        `defaultServiceConfig` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### disableServiceConfigLookUp

          public VertxChannelBuilder disableServiceConfigLookUp()

      Overrides:
        `disableServiceConfigLookUp` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### decompressorRegistry

          public VertxChannelBuilder decompressorRegistry(io.grpc.DecompressorRegistry registry)

      Specified by:
        `decompressorRegistry` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### compressorRegistry

          public VertxChannelBuilder compressorRegistry(io.grpc.CompressorRegistry registry)

      Specified by:
        `compressorRegistry` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### idleTimeout

          public VertxChannelBuilder idleTimeout(long value,
                                                 TimeUnit unit)

      Specified by:
        `idleTimeout` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### maxInboundMessageSize

          public VertxChannelBuilder maxInboundMessageSize(int max)

      Overrides:
        `maxInboundMessageSize` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### usePlaintext

          public VertxChannelBuilder usePlaintext()

      Overrides:
        `usePlaintext` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### useTransportSecurity

          public VertxChannelBuilder useTransportSecurity()

      Overrides:
        `useTransportSecurity` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### enableFullStreamDecompression

          public VertxChannelBuilder enableFullStreamDecompression()

      Overrides:
        `enableFullStreamDecompression` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### keepAliveTime

          public VertxChannelBuilder keepAliveTime(long keepAliveTime,
                                                   TimeUnit timeUnit)

      Overrides:
        `keepAliveTime` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### keepAliveTimeout

          public VertxChannelBuilder keepAliveTimeout(long keepAliveTimeout,
                                                      TimeUnit timeUnit)

      Overrides:
        `keepAliveTimeout` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### keepAliveWithoutCalls

          public VertxChannelBuilder keepAliveWithoutCalls(boolean enable)

      Overrides:
        `keepAliveWithoutCalls` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### maxRetryAttempts

          public VertxChannelBuilder maxRetryAttempts(int maxRetryAttempts)

      Overrides:
        `maxRetryAttempts` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### maxHedgedAttempts

          public VertxChannelBuilder maxHedgedAttempts(int maxHedgedAttempts)

      Overrides:
        `maxHedgedAttempts` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### retryBufferSize

          public VertxChannelBuilder retryBufferSize(long bytes)

      Overrides:
        `retryBufferSize` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### perRpcBufferLimit

          public VertxChannelBuilder perRpcBufferLimit(long bytes)

      Overrides:
        `perRpcBufferLimit` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### disableRetry

          public VertxChannelBuilder disableRetry()

      Overrides:
        `disableRetry` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### enableRetry

          public VertxChannelBuilder enableRetry()

      Overrides:
        `enableRetry` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### setBinaryLog

          public VertxChannelBuilder setBinaryLog(io.grpc.BinaryLog binaryLog)

      Overrides:
        `setBinaryLog` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### maxTraceEvents

          public VertxChannelBuilder maxTraceEvents(int maxTraceEvents)

      Overrides:
        `maxTraceEvents` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

    - #### useSsl

          public VertxChannelBuilder useSsl(Handler<ClientOptionsBase> handler)

    - #### build

          public io.grpc.ManagedChannel build()

      Specified by:
        `build` in class `io.grpc.ManagedChannelBuilder<VertxChannelBuilder>`

Copyright © 2021 Eclipse. All rights reserved.